Index: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/instala-google-chrome-ltsp.sh
===================================================================
--- tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/instala-google-chrome-ltsp.sh	(nonexistent)
+++ tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/instala-google-chrome-ltsp.sh	(revision 289)
@@ -0,0 +1,36 @@
+#!/bin/sh
+# Francisco Rodrigo
+# Se pueden utilizan comodines para generalizar el script.
+# -----------------------------------------------------------
+
+
+if [ ! -e /root/descargas ];  then mkdir -p /root/descargas;  fi
+
+cd /root/descargas
+
+wget -q http://servidor/ficheros/google-chrome-stable_current_i386.deb
+
+#Instala el paquete
+if [ -e google-chrome-stable_current_i386.deb ]; then
+  cp google-chrome-stable_current_i386.deb /opt/ltsp/i386
+  chroot /opt/ltsp/i386 mount /proc -t proc /proc;
+  chroot /opt/ltsp/i386 apt-get update;
+  chroot /opt/ltsp/i386 apt-get -y --force-yes install libxslt1.1;
+  chroot /opt/ltsp/i386 apt-get -y --force-yes install libnss3-1d;
+  chroot /opt/ltsp/i386 apt-get -y --force-yes install;
+  chroot /opt/ltsp/i386 dpkg --configure -a
+  chroot /opt/ltsp/i386 dpkg -i google-chrome-stable_current_i386.deb
+  chroot /opt/ltsp/i386 umount /proc;
+
+  rm -f /opt/ltsp/i386/google-chrome-stable_current_i386.deb
+
+  #regeneramos la imagen
+  ltsp-update-image --arch i386
+fi
+
+rm /root/descargas/google-chrome-stable_current_i386*
+
+cd -
+
+
+

Property changes on: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/instala-google-chrome-ltsp.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/chrome
===================================================================
--- tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/chrome	(nonexistent)
+++ tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/chrome	(revision 289)
@@ -0,0 +1,9 @@
+#!/bin/sh
+if [ ! -z "$LTSP_CLIENT" ]; then
+
+        echo "google-chrome $@">$HOME/local.exec
+
+else
+        /usr/bin/google-chrome "$@"
+fi
+

Property changes on: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/chrome
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/google-chrome.desktop
===================================================================
--- tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/google-chrome.desktop	(nonexistent)
+++ tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/google-chrome.desktop	(revision 289)
@@ -0,0 +1,113 @@
+[Desktop Entry]
+Version=1.0
+Name=Google Chrome
+# Only KDE 4 seems to use GenericName, so we reuse the KDE strings.
+# From Ubuntu's language-pack-kde-XX-base packages, version 9.04-20090413.
+GenericName=Web Browser
+GenericName[ar]=متصفح الشبكة
+GenericName[bg]=Уеб браузър
+GenericName[ca]=Navegador web
+GenericName[cs]=WWW prohlížeč
+GenericName[da]=Browser
+GenericName[de]=Web-Browser
+GenericName[el]=Περιηγητής ιστού
+GenericName[en_GB]=Web Browser
+GenericName[es]=Navegador web
+GenericName[et]=Veebibrauser
+GenericName[fi]=WWW-selain
+GenericName[fr]=Navigateur Web
+GenericName[gu]=વેબ બ્રાઉઝર
+GenericName[he]=דפדפן אינטרנט
+GenericName[hi]=वेब ब्राउज़र
+GenericName[hu]=Webböngésző
+GenericName[it]=Browser Web
+GenericName[ja]=ウェブブラウザ
+GenericName[kn]=ಜಾಲ ವೀಕ್ಷಕ
+GenericName[ko]=웹 브라우저
+GenericName[lt]=Žiniatinklio naršyklė
+GenericName[lv]=Tīmekļa pārlūks
+GenericName[ml]=വെബ് ബ്രൌസര്‍
+GenericName[mr]=वेब ब्राऊजर
+GenericName[nb]=Nettleser
+GenericName[nl]=Webbrowser
+GenericName[pl]=Przeglądarka WWW
+GenericName[pt]=Navegador Web
+GenericName[pt_BR]=Navegador da Internet
+GenericName[ro]=Navigator de Internet
+GenericName[ru]=Веб-браузер
+GenericName[sl]=Spletni brskalnik
+GenericName[sv]=Webbläsare
+GenericName[ta]=இணைய உலாவி
+GenericName[th]=เว็บเบราว์เซอร์
+GenericName[tr]=Web Tarayıcı
+GenericName[uk]=Навігатор Тенет
+GenericName[zh_CN]=网页浏览器
+GenericName[zh_HK]=網頁瀏覽器
+GenericName[zh_TW]=網頁瀏覽器
+# Not translated in KDE, from Epiphany 2.26.1-0ubuntu1.
+GenericName[bn]=ওয়েব ব্রাউজার
+GenericName[fil]=Web Browser
+GenericName[hr]=Web preglednik
+GenericName[id]=Browser Web
+GenericName[or]=ଓ୍ବେବ ବ୍ରାଉଜର
+GenericName[sk]=WWW prehliadač
+GenericName[sr]=Интернет прегледник
+GenericName[te]=మహాతల అన్వేషి
+GenericName[vi]=Bộ duyệt Web
+# Gnome and KDE 3 uses Comment.
+Comment=Access the Internet
+Comment[ar]=الدخول إلى الإنترنت
+Comment[bg]=Достъп до интернет
+Comment[bn]=ইন্টারনেটটি অ্যাক্সেস করুন
+Comment[ca]=Accedeix a Internet
+Comment[cs]=Přístup k internetu
+Comment[da]=Få adgang til internettet
+Comment[de]=Internetzugriff
+Comment[el]=Πρόσβαση στο Διαδίκτυο
+Comment[en_GB]=Access the Internet
+Comment[es]=Accede a Internet.
+Comment[et]=Pääs Internetti
+Comment[fi]=Käytä internetiä
+Comment[fil]=I-access ang Internet
+Comment[fr]=Accéder à Internet
+Comment[gu]=ઇંટરનેટ ઍક્સેસ કરો
+Comment[he]=גישה אל האינטרנט
+Comment[hi]=इंटरनेट तक पहुंच स्थापित करें
+Comment[hr]=Pristup Internetu
+Comment[hu]=Internetelérés
+Comment[id]=Akses Internet
+Comment[it]=Accesso a Internet
+Comment[ja]=インターネットにアクセス
+Comment[kn]=ಇಂಟರ್ನೆಟ್ ಅನ್ನು ಪ್ರವೇಶಿಸಿ
+Comment[ko]=인터넷 연결
+Comment[lt]=Interneto prieiga
+Comment[lv]=Piekļūt internetam
+Comment[ml]=ഇന്റര്‍‌നെറ്റ് ആക്‌സസ് ചെയ്യുക
+Comment[mr]=इंटरनेटमध्ये प्रवेश करा
+Comment[nb]=Gå til Internett
+Comment[nl]=Verbinding maken met internet
+Comment[or]=ଇଣ୍ଟର୍ନେଟ୍ ପ୍ରବେଶ କରନ୍ତୁ
+Comment[pl]=Skorzystaj z internetu
+Comment[pt]=Aceder à Internet
+Comment[pt_BR]=Acessar a internet
+Comment[ro]=Accesaţi Internetul
+Comment[ru]=Доступ в Интернет
+Comment[sk]=Prístup do siete Internet
+Comment[sl]=Dostop do interneta
+Comment[sr]=Приступите Интернету
+Comment[sv]=Gå ut på Internet
+Comment[ta]=இணையத்தை அணுகுதல்
+Comment[te]=ఇంటర్నెట్‌ను ఆక్సెస్ చెయ్యండి
+Comment[th]=เข้าถึงอินเทอร์เน็ต
+Comment[tr]=İnternet'e erişin
+Comment[uk]=Доступ до Інтернету
+Comment[vi]=Truy cập Internet
+Comment[zh_CN]=访问互联网
+Comment[zh_HK]=連線到網際網路
+Comment[zh_TW]=連線到網際網路
+Exec=google-chrome %U
+Terminal=false
+Icon=google-chrome
+Type=Application
+Categories=Network;WebBrowser;
+MimeType=text/html;text/xml;application/xhtml_xml;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;
Index: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/google-chrome.local
===================================================================
--- tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/google-chrome.local	(nonexistent)
+++ tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/google-chrome.local	(revision 289)
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+export GTK_PATH="/usr/lib32/gtk-2.0"
+#export GTK_PATH="/opt/ltsp/i386/usr/lib/gtk-2.0"
+export LD_LIBRARY_PATH="/lib32:/usr/lib32:/opt/ltsp/i386/lib:/opt/ltsp/i386/usr/lib;/opt/ltsp/i386/opt/google/chrome;"
+export GCONF_PATH=/usr/lib32/gconv
+export GDK_PIXBUF_MODULE_FILE=/etc/gdk-2.0/gdk-pixbuf.loaders.32
+export GTK_IM_MODULE_FILE=/etc/gtk-2.0/gdk.immodules.32
+linux32 /opt/ltsp/i386/opt/google/chrome/google-chrome "$@"

Property changes on: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/files/google-chrome.local
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/leeme.txt
===================================================================
--- tareas_puppet/servidores_aula/instala-google-chrome-ltsp/leeme.txt	(nonexistent)
+++ tareas_puppet/servidores_aula/instala-google-chrome-ltsp/leeme.txt	(revision 289)
@@ -0,0 +1,23 @@
+BREVE DESCRIPCION DE LA EJECUCION DEL MODULO
+--------------------------------------------
+
+Destino : Servidores de aula
+Acción  : Instalar Google Chrome 12 en la imagen de los thinclients de los servidores de aula.
+
+Notas   : Necesita que el paquete google-chrome-stable_current_i386.deb a instalar este en /var/www/ficheros/
+	  del servidor principal, pues los recoge de ahí vía wget.
+
+El paquete lo podeis coger de la direccion: http://172.19.246.2/pub
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+Desempaquetar en /etc/puppet/modules
+Mover el paquete google-chrome-stable_current_i386.deb a /var/www/ficheros previamente descargado.
+Incluir la linea include "nombre_modulo" en /etc/puppet/manifests/classes/clase-especifica.pp
+
+------------------------------------------------
+
+05-Marzo-2012.
+Francisco Rodrigo López
+Administrador informático del IES Javier García Téllez.

Property changes on: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/leeme.txt
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/instala-google-chrome-ltsp/manifests/init.pp
===================================================================
--- tareas_puppet/servidores_aula/instala-google-chrome-ltsp/manifests/init.pp	(nonexistent)
+++ tareas_puppet/servidores_aula/instala-google-chrome-ltsp/manifests/init.pp	(revision 289)
@@ -0,0 +1,59 @@
+class instala-google-chrome-ltsp {
+
+   file {"/opt/google/chrome/google-chrome.desktop":
+	owner=>root, group=>root, mode=>644,
+	source=>"puppet:///instala-google-chrome-ltsp/google-chrome.desktop",
+	}
+
+   file {"/opt/ltsp/i386/opt/google/chrome/google-chrome.desktop":
+	owner=>root, group=>root, mode=>644,
+	source=>"puppet:///instala-google-chrome-ltsp/google-chrome.desktop",
+	}
+
+   file {"/usr/local/share/applications/google-chrome.desktop":
+	owner=>root, group=>root, mode=>644,
+	source=>"puppet:///instala-google-chrome-ltsp/google-chrome.desktop",
+	}
+
+   file {"/usr/share/applnk/google-chrome.desktop":
+	owner=>root, group=>root, mode=>644,
+	source=>"puppet:///instala-google-chrome-ltsp/google-chrome.desktop",
+	}
+
+   file {"/usr/share/gnome/apps/google-chrome.desktop":
+	owner=>root, group=>root, mode=>644,
+	source=>"puppet:///instala-google-chrome-ltsp/google-chrome.desktop",
+	}
+
+  file { "/usr/local/bin/google-chrome.local":
+        owner=>root, group=>root, mode=>755,
+        source=>"puppet:///instala-google-chrome-ltsp/google-chrome.local",
+        }
+
+  file { "/usr/local/bin/chrome":
+        owner=>root, group=>root, mode=>755,
+        source=>"puppet:///instala-google-chrome-ltsp/chrome",
+        notify => Exec["cambiar-chrome"],
+        }
+
+
+  exec { "cambiar-chrome":
+        path => "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
+        command => "ln -sf /usr/local/bin/chrome /usr/local/bin/google-chrome;",
+        subscribe => File["/usr/local/bin/chrome"],
+        refreshonly => true,
+       }
+
+   file {"/root/instala-google-chrome-ltsp.sh":
+	owner=>root, group=>root, mode=>755,
+	source=>"puppet:///instala-google-chrome-ltsp/instala-google-chrome-ltsp.sh",
+	notify=> Exec["instala-google-chrome-ltsp"],
+	}
+
+   exec {"instala-google-chrome-ltsp":
+	command => "/root/instala-google-chrome-ltsp.sh",
+	require => File["/root/instala-google-chrome-ltsp.sh"],
+        refreshonly => true,
+       }
+
+}
Index: tareas_puppet/servidores_aula/instala-google-chrome-ltsp.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/instala-google-chrome-ltsp.tgz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/servidores_aula/instala-google-chrome/files/instala-google-chrome.sh
===================================================================
--- tareas_puppet/servidores_aula/instala-google-chrome/files/instala-google-chrome.sh	(nonexistent)
+++ tareas_puppet/servidores_aula/instala-google-chrome/files/instala-google-chrome.sh	(revision 289)
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Francisco Rodrigo
+# Se pueden utilizan comodines para generalizar el script.
+# -----------------------------------------------------------
+
+if [ ! -e /root/descargas ];  then mkdir -p /root/descargas;  fi
+
+cd /root/descargas
+
+wget -q http://servidor/ficheros/google-chrome-stable_current_amd64.deb
+
+Instala el paquete
+if [ -e google-chrome-stable_current_amd64.deb ]; then
+  dpkg -i google-chrome-stable_current_amd64.deb
+fi
+
+rm /root/descargas/google-chrome-stable_current_amd64.deb
+
+cd -
+

Property changes on: tareas_puppet/servidores_aula/instala-google-chrome/files/instala-google-chrome.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/instala-google-chrome/leeme.txt
===================================================================
--- tareas_puppet/servidores_aula/instala-google-chrome/leeme.txt	(nonexistent)
+++ tareas_puppet/servidores_aula/instala-google-chrome/leeme.txt	(revision 289)
@@ -0,0 +1,23 @@
+BREVE DESCRIPCION DE LA EJECUCION DEL MODULO
+--------------------------------------------
+
+Destino : Servidores de aula
+Acción  : Instalar Google Chrome 12 en los servidores de aula.
+
+Notas   : Necesita que el paquete google-chrome-stable_current_amd64.deb a instalar este en /var/www/ficheros/
+	  del servidor principal, pues los recoge de ahí vía wget.
+
+El paquete lo podeis coger de la direccion: http://172.19.246.2/pub
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+Desempaquetar en /etc/puppet/modules
+Mover el paquete google-chrome-stable_current_amd64.deb a /var/www/ficheros previamente descargado.
+Incluir la linea include "nombre_modulo" en /etc/puppet/manifests/classes/clase-especifica.pp
+
+------------------------------------------------
+
+05-Marzo-2012.
+Francisco Rodrigo López
+Administrador informático del IES Javier García Téllez.

Property changes on: tareas_puppet/servidores_aula/instala-google-chrome/leeme.txt
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/servidores_aula/instala-google-chrome/manifests/init.pp
===================================================================
--- tareas_puppet/servidores_aula/instala-google-chrome/manifests/init.pp	(nonexistent)
+++ tareas_puppet/servidores_aula/instala-google-chrome/manifests/init.pp	(revision 289)
@@ -0,0 +1,21 @@
+# /etc/puppet/modules/instala-google-chrome/manifests/init.pp
+
+class instala-google-chrome {
+
+   file { "/etc/apt/sources.list.d/google-chrome.list":
+        ensure => absent,
+        }
+   
+   file {"/root/instala-google-chrome.sh":
+        owner=>root, group=>root, mode=>755,
+        source=>"puppet:///instala-google-chrome/instala-google-chrome.sh",
+        notify => Exec["instala-chrome"],
+        }
+
+   exec {"instala-chrome":
+	command => "/root/instala-google-chrome.sh",
+	require => File["/root/instala-google-chrome.sh"],
+        refreshonly => true,
+        }
+
+}
Index: tareas_puppet/servidores_aula/instala-google-chrome.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/servidores_aula/instala-google-chrome.tgz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property